Clarification of IPv6 Address Allocation Policy
BCP 242
RFC 9812
Brian E. Carpenter
The University of Auckland
Suresh Krishnan
Cisco Systems, Inc.
David E. Farmer III
University of Minnesota
2025-10
INT
6man
This document specifies the approval process for changes to the "IPv6 Address Space" registry. It also updates RFC 7249.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9812.
Copyright Notice
Copyright (c) 2025 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. Approval Level of IPv6 Address Allocations
- 3. IANA Considerations
- 4. Security Considerations
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction
Internet Protocol Version 6 (IPv6) and its address space are defined by [STD86] and [RFC4291]. The management of the IPv6 address space was delegated to IANA by [RFC1881], some years before the relationship between the IETF and IANA was formalized [RFC2860] and registry details were clarified [RFC7020] [RFC7249].
Occasionally, IPv6 address space allocations are performed outside the scope of routine allocations to Regional Internet Registries (RIRs). For example, a substantial allocation was requested by an IETF document approved by the IESG [RFC9602], which moved the range 5f00::/16 from the "IPv6 Address Space" registry [IANA1] to the "IPv6 Special-Purpose Address Space" registry [IANA3].
At the time of writing, the allocation policy in the "IPv6 Address Space" registry [IANA1] was shown as "IESG approval", whereas a more stringent policy is appropriate for major allocations. The present document therefore strengthens the approval level needed for non-routine address allocations, which requires an update to [RFC7249].
This document also clarifies the status of [RFC1881]. This clarification is necessary because [RFC1881], a joint publication of the IAB and IESG following an IETF Last Call, was incorrectly listed in the RFC index at the time of writing as "Legacy", whereas it is part of the IETF Stream [RFC8729].
Approval Level of IPv6 Address Allocations
Portions of the IPv6 address space are shown in the registry as "Reserved by IETF" [IANA1]. This is the address space held in reserve for future use if ever the 125-bit unicast space (2000::/3) is found inadequate or inappropriate.
[RFC1881] did not specify an allocation policy for this space. At some point, IANA listed "IESG approval". As defined in [BCP26], this is a rather weak requirement ("Although there is no requirement that the request be documented in an RFC, the IESG has the discretion to request documents...") and is "a fall-back mechanism in the case where one of the other allowable approval mechanisms cannot be employed...".
For something as important as the majority of the spare IPv6 address space, this process is clearly insufficient. The present document replaces the "IESG approval" process by the "IETF Review" process as defined by [BCP26]. The stricter "Standards Action" policy is not considered necessary, because there may be cases where opening up a new range of address space does not in fact require a new protocol standard.
It may be noted that the allocation for [RFC9602], which was processed as a working group document, did indeed follow the more stringent "IETF Review" process proposed by this document. Indeed, the other two related registries [IANA2] [IANA3] cite the "IETF Review" policy, consistent with [RFC7249].
This document therefore extends the first paragraph of Section 2.3 of [RFC7249] as follows:
OLD:
The vast bulk of the IPv6 address space (approximately 7/8ths of the whole address space) is reserved by the IETF [RFC4291], with the expectation that further assignment of globally unique unicast address space will be made from this reserved space in accordance with future needs.
NEW:
The vast bulk of the IPv6 address space (approximately 7/8ths of the whole address space) is reserved by the IETF [RFC4291], with the expectation that further assignment of globally unique unicast address space will be made from this reserved space in accordance with future needs, through "IETF Review" as defined in [BCP26].
IANA Considerations
IANA has updated the registration procedure of the "IPv6 Address Space" registry [IANA1] to "IETF Review".
Security Considerations
The security considerations of [RFC7249] apply. While having no direct security impact, carefully reviewed address allocation mechanisms are necessary to ensure operational address accountability.
References
Normative References
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
[RFC4291]

IP Version 6 Addressing Architecture
R. Hinden
S. Deering
February 2006
RFC 4291
DOI 10.17487/RFC4291
[RFC8200]

Internet Protocol, Version 6 (IPv6) Specification
S. Deering
R. Hinden
July 2017
STD 86
RFC 8200
DOI 10.17487/RFC8200
Informative References
[IANA1]

IPv6 Address Space
IANA
[IANA2]

IPv6 Global Unicast Address Space
IANA
[IANA3]

IPv6 Special-Purpose Address Space
IANA
[RFC1881]

IPv6 Address Allocation Management
Internet Architecture Board
Internet Engineering Steering Group
December 1995
RFC 1881
DOI 10.17487/RFC1881
[RFC2860]

Memorandum of Understanding Concerning the Technical Work of the Internet Assigned Numbers Authority
B. Carpenter
F. Baker
M. Roberts
June 2000
RFC 2860
DOI 10.17487/RFC2860
[RFC7020]

The Internet Numbers Registry System
R. Housley
J. Curran
G. Huston
D. Conrad
August 2013
RFC 7020
DOI 10.17487/RFC7020
[RFC7249]

Internet Numbers Registries
R. Housley
May 2014
RFC 7249
DOI 10.17487/RFC7249
[RFC8729]

The RFC Series and RFC Editor
R. Housley, Ed.
L. Daigle, Ed.
February 2020
RFC 8729
DOI 10.17487/RFC8729
[RFC9602]

Segment Routing over IPv6 (SRv6) Segment Identifiers in the IPv6 Addressing Architecture
S. Krishnan
October 2024
RFC 9602
DOI 10.17487/RFC9602
Acknowledgements
Useful comments were received from Dale Carder, Bob Hinden, Scott Kelly, Philipp Tiesel, and others.
Authors' Addresses
Brian E. Carpenter
The University of Auckland
School of Computer Science
PB 92019
Auckland 1142
New Zealand
brian.e.carpenter@gmail.com
Suresh Krishnan
Cisco Systems, Inc.
suresh.krishnan@gmail.com
David E. Farmer III
University of Minnesota
Office of Information Technology
Minneapolis
MN
55455
United States of America
farmer@umn.edu